Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226328 - Merge Review: pwlib
Summary: Merge Review: pwlib
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:44 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-26 14:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-15 09:12:34 UTC


Attachments (Terms of Use)
initial spec file cleanup (deleted)
2008-07-18 11:21 UTC, Peter Robinson
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 20:44:50 UTC
Fedora Merge Review: pwlib

http://cvs.fedora.redhat.com/viewcvs/devel/pwlib/
Initial Owner: veillard@redhat.com

Comment 1 Peter Robinson 2008-07-18 11:21:00 UTC
Created attachment 312123 [details]
initial spec file cleanup

Here's an initial .spec cleanup based on the packaging guidelines and rpmlint.

rpmlint is still complaining about macros in changelog entries but as they're
from 2004 its probably time to trim the changelog a bit.

[perobinson@euuklonw7300b1n devel]$ rpmlint pwlib.spec
pwlib.spec:228: W: macro-in-%changelog configure
pwlib.spec:294: W: macro-in-%changelog doc
pwlib.spec:297: W: macro-in-%changelog _libdir
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

It also looks like the CVS files/dirs issue is resolved as well as the +x lib
issue so those have been removed as well.

Comment 2 Peter Robinson 2008-09-15 09:12:34 UTC
Closing as is obsoleted by ptlib.

Comment 3 Peter Lemenkov 2009-09-26 14:33:57 UTC
Please, remove all files, except dead.package, from devel cvs branch, because it still rebuilds sometimes (people sometimes got confused, because spec-file still exists).


Note You need to log in before you can comment on or make changes to this bug.